@import "mixins";
@import "variables";

.header {
  background-color: #27262a;
  position: relative;
  &__content {
    @include flex;
    height: 103px;
    @include tablet{
      height: 103px;
      padding: 0 16px;
    }
    @include laptop{
      height: 118px;
      flex-wrap: wrap;
      padding: 0 10px;
    }
    @include desktop{
      height: 100px;
    }

  }

  &__logo {

    &:hover {
      .header__logo-img {
        background-position: -43px;
      }
      .header__logo-text {
        color: white;
      }
    }
    display: flex;
    align-items: center;
    @include laptop {
      margin-top: 10px;
    }
    &-img {
      background: url("../images/header_logo_hover.png")  no-repeat;
      background-position: 0;
      background-size: cover;
      width: 43px;
      height: 41px;

    }
  }

  &__logo-text {
    font-size: 24px;
    font-family: $font-Lato;
    color: $main-page-text-color;
    text-transform: uppercase;
    font-weight: 600;
    margin-left: 10px;
    display: none;

    @include tablet{
      display: block;
    }
    @include laptop{
      display: block;
    }
    @include desktop{
      display: block;
    }

  }

  &__btn {
    background-color: $main-page-text-color;
    border: none;
    border-radius: 20px;
    padding: 10px 25px;
    text-transform: capitalize;
    color: white;
    font-family: $font-Montserrat;
    font-weight: 600;
    font-size: 15px;
    transition-duration: .5s;
    cursor: pointer;
    &:hover {
      background-color: white;
      color: $main-page-text-color;
      transition-duration: .5s;
    }
    @include tablet{
      padding: 12px 30px;
    }
    @include laptop{
      margin-top: 10px;
      padding: 10px 35px;
    }
    @include desktop{
      order: 3;
      padding: 10px 35px;
    }
  }

  &__burger {
    cursor: pointer;
    width: 25px;
    height: 20px;
    position: relative;
    overflow: hidden;

    @include laptop{
      display: none;
    }
    @include desktop{
      display: none;
    }
    &-active {
      .header-burger__item {
        &:nth-child(1) {
          transform: translateX(105%);
        }
        &:nth-child(2) {
          top: 50%;
          transform: translateY(-50%) rotate(45deg);
        }
        &:nth-child(3) {
          transform: translateY(-8px) rotate(-45deg);
        }
      }
    }

  }
  &-burger__item {
    height: 4px;
    background-color: #fff;
    border-radius: 2px;
    position: absolute;
    width: 100%;
    transition: .5s;
    &:nth-child(1) {
      width: 70%;
      right: 0;
      top: 0;
    }
    &:nth-child(2) {
      top: 50%;
      transform: translateY(-50%);
    }
    &:nth-child(3) {
      bottom: 0;
    }

  }

  &__menu {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 103px;
    left: 0;
    width: 100%;
    z-index: 9999;
    background-color: #3f3f3f;
    overflow: hidden;
    max-height: 0;
    transition-duration: 1s;


    @include laptop{
      display: flex;
      justify-content: center;
      flex-direction: row;
      margin-bottom: 10px;
      position: relative;
      top: 0;
      background-color: transparent;
      max-height: 1000px;
    }
    @include desktop{
      display: flex;
      justify-content: flex-end;
      flex: 1;
      flex-direction: row;
      margin-bottom: 0;
      position: relative;
      top: 0;
      background-color: transparent;
      max-height: 1000px;
    }

    &-active {
      max-height: 1000px;

    }
  }

  &-menu__item {
    padding: 37px 30px;
    margin: 0;
    border-bottom: 1px solid grey;
    @include laptop {
      margin: 0 25px;
      padding: 0;
      border: none;
    }
    @include desktop {
      margin: 0 25px;
      padding: 0;
      border: none;
    }

    &-home {
      display: block;
      @include laptop {
        display: none;
      }
      @include desktop {
        display: none;
      }
    }

  }

  &-menu__link {
    color: $main-page-text-color;
    font-family: $font-Montserrat;
    font-size: 16px;
    font-weight: 600;
    text-transform: capitalize;
    transition-duration: .5s;
    &:hover {
      color: white;
      transition-duration: .5s;
    }

    @include laptop {
      color: $main-page-text-color;
      font-family: $font-Montserrat;
      font-size: 16px;
      font-weight: 600;
      text-transform: capitalize;
      &:hover {
        color: white;
      }
    }
    @include desktop {
      color: $main-page-text-color;
      font-family: $font-Montserrat;
      font-size: 16px;
      font-weight: 600;
      text-transform: capitalize;
      &:hover {
        color: white;
      }
    }
  }
}


